Subject: bug#35036: closed (Re: bug#35021: M-^ (delete-indentation) doesn't work without a mark present)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 31 Mar 2019 16:43:02 +0000

Your bug report

#35021: 27.0.50; delete-indentation removes all blank lines

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35021: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35021
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35021: M-^ (delete-indentation) doesn't work without a mark present
From: "Basil L. Contovounesios" <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 31 Mar 2019 17:42:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: "Basil L. Contovounesios" <[email-masked]>
>> Cc: Alex Branham <[email-masked]>,  <[email-masked]>,  <[email-masked]>,  <[email-masked]>,  <[email-masked]>
>> Date: Sun, 31 Mar 2019 03:41:47 +0100
>> 
>> > Looks OK to me, please push.
>> 
>> Thanks, but my last patch only fixed the bug with the interactive spec,
>> and I have since discovered and fixed a few more edge-cases (including
>> that reported by Alex in bug#35036).
>> 
>> I attach the updated patch.  Can I push this one instead?
>
> Yes, this LGTM as well.

Thanks, I pushed to master and am thus closing this report.

-- 
Basil

Subject: 27.0.50; delete-indentation removes all blank lines
From: Alex Branham <[email-masked]>
To: [email-masked]
Date: Thu, 28 Mar 2019 16:19:18 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

After 8fa94a1ecc18a41ca2738f438b3fbc817c9fdc82, delete-indentation
removes all blank lines so that a buffer:

one

two|

with | as point, M-x delete-indentation results in:

one two

whereas before it would result in:

one

two

This seems contrary to the documentation, which states, "Join this line
to previous and fix up whitespace at join." and also the NEWS entry,
"When there's no active region, the command works on the current and the
previous or the next line, as before."

I'm happy to submit a patch fixing this, but should it change the
documentation to match the new behavior, or fix the code so that the
behavior is unchanged?

Also, is the patch in Bug#35021 going to get applied soonish? If so I'll
hold off in order not to create conflicts...

Thanks,
Alex